Skip to main content
POST
Test screening webhook

Authorizations

x-api-key
string
header
required

Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.

Path Parameters

webhookId
string<uuid>
required

The unique identifier of the webhook to test

Body

application/json

Request body for testing a screening webhook

eventKind
enum<string>
required

The mock event kind to send in the webhook payload. It passes through unchanged into the mock payload delivered to the webhook destination URL.

Available options:
profile_status_updated,
idv,
onboarding
Example:

"profile_status_updated"

eventValue
enum<string>
required

The mock event value to send in the webhook payload. It passes through unchanged into the mock payload delivered to the webhook destination URL.

Available options:
potential_match,
accepted,
rejected,
idv.session.completed,
idv.session.approved,
idv.session.rejected,
idv.session.requires_review,
idv.session.failed,
idv.document.captured,
profile_onboarding.review_required,
profile_onboarding.completed,
profile_onboarding.failed
Example:

"potential_match"

latestFlags
enum<string>[]

The mock flags to send in the latestFlags webhook payload field. Minerva interprets these values and builds real object mocks in the webhook payload sent to the destination URL.

Available options:
Sanctions,
PEP,
News,
Criminal,
Legal,
Registries,
Ownership,
Offshore,
Open Source,
Social Media
Example:
profileId
string

The mock profile ID to send in the payload to the destination URL. Optional. Provide it to test the webhook update for a specific Minerva profile ID within your service logic.

Example:

"minerva-profile-id-1"

externalId
string

The mock external ID to send in the payload to the destination URL. Optional. Provide it to test the webhook update for a specific external system ID within your service logic.

Example:

"user-profile-id-1"

Response

Webhook test triggered successfully

Response from testing a screening webhook

status
integer
required

HTTP status code

Example:

200

message
string
required

Response message

Example:

"Webhook test triggered successfully"

payload
object
required

The payload that was sent to the destination webhook